package tfgMarriageStable;

import jade.util.leap.Serializable;

/**
 * <p>
 * Clase que representa una característica de un elemento, formada por un String, el nombre
 * y un float, su valor</p>
 * @author Alberto Hueso Alonso
 * @since 06-12-2017
 */
public class Caracteristica implements Serializable {
	
	/**
	 * Constante para serializar
	 */
	private static final long serialVersionUID = 1498292129757905010L;
	/**
	 * Nombre de la característica
	 */
	private String nombre;
	/**
	 * Valor que tiene la característica
	 */
	private float valor;
	
 public Caracteristica(String nombre, float valor){
	 this.nombre=nombre;
	 this.valor=valor;
 }
 /**
  * Obtiene el nombre de la caracteristica
  * @return String con el nombre
  */
 public String getNombreCaracteristica(){
	 return this.nombre;
 }
 /**
  * Obtiene el valor de la característica
  * @return float con el valor
  */
 public float getValorCaracteristica(){
	 return this.valor;
 }
}
